package cv1;

/**
 *
 * @author Ing. Jaroslav Kuchař <kuchajar at fel.cvut.cz>
 */
public class Student implements Comparable {

    private String jmeno, prijmeni;
    private Datum datumNarozeni;
    private double studijniPrumer;

    public Student(String jmeno, String prijmeni, Datum datumNarozeni, double studijniPrumer) {
        this.jmeno = jmeno;
        this.prijmeni = prijmeni;
        this.datumNarozeni = datumNarozeni;
        this.studijniPrumer = studijniPrumer;
    }

    public Datum getDatumNarozeni() {
        return datumNarozeni;
    }

    public void setDatumNarozeni(Datum datumNarozeni) {
        this.datumNarozeni = datumNarozeni;
    }

    public String getJmeno() {
        return jmeno;
    }

    public void setJmeno(String jmeno) {
        this.jmeno = jmeno;
    }

    public String getPrijmeni() {
        return prijmeni;
    }

    public void setPrijmeni(String prijmeni) {
        this.prijmeni = prijmeni;
    }

    public double getStudijniPrumer() {
        return studijniPrumer;
    }

    public void setStudijniPrumer(double studijniPrumer) {
        this.studijniPrumer = studijniPrumer;
    }

    @Override
    public boolean equals(Object obj) {
        if (!(obj instanceof Student)) {
            return false;
        }
        Student s = (Student) obj;
        return (this.jmeno.equals(s.jmeno) && this.prijmeni.equals(s.prijmeni) && this.datumNarozeni.equals(s.datumNarozeni) && this.studijniPrumer == s.studijniPrumer);
    }

    @Override
    public String toString() {
        return jmeno + " " + prijmeni + ", " + datumNarozeni + ", " + studijniPrumer;
    }

    public int compareTo(Object o) {
        Student s = (Student) o;
        return this.prijmeni.compareTo(s.prijmeni);
    }
}
